2017-11-19 10:14 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003915Kali Linux[All Projects] Kali Package Bugpublic2017-03-24 08:45
Reporterrhertzog 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target Version2017.1Fixed in Version2017.1 
Summary0003915: Add kernel patch to use GPU on hyper-v (azure cloud)
DescriptionThere’s a kernel patch that allows for PCI pass though on Microsoft azure… it seems like the other major distributions have implemented this in their kernels, except for Debian
It should be a known issue and the upstream fix is:
> PCI: hv: Allocate physically contiguous hypercall params buffer

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=0de8ce3ee8e38cc66683438f715c79a2cc69539e

This patch is required for utilizing GPU on Azure instances on hyperv
Attached Files
  • txt file icon summary.txt (3,822 bytes) 2017-03-14 11:35 -
    root@azurenc6:~# uname -a
    Linux azurenc6 4.9.0-kali3-amd64 #1 SMP Debian 4.9.13-1kali3 (2017-03-13) x86_64 GNU/Linux
    
    root@azurenc6:~# lspci -v
    0000:00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (AGP disabled) (rev 03)
            Flags: bus master, medium devsel, latency 0
    
    0000:00:07.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 01)
            Subsystem: Microsoft Corporation 82371AB/EB/MB PIIX4 ISA
            Flags: bus master, medium devsel, latency 0
    
    0000:00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01) (prog-if 80 [Master])
            Flags: bus master, medium devsel, latency 0
            [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
            [virtual] Memory at 000003f0 (type 3, non-prefetchable)
            [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
            [virtual] Memory at 00000370 (type 3, non-prefetchable)
            I/O ports at ffa0 [size=16]
            Kernel driver in use: ata_piix
            Kernel modules: ata_piix, ata_generic
    
    0000:00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 02)
            Flags: medium devsel, IRQ 9
            Kernel modules: i2c_piix4
    
    0000:00:08.0 VGA compatible controller: Microsoft Corporation Hyper-V virtual VGA (prog-if 00 [VGA controller])
            Flags: bus master, fast devsel, latency 0, IRQ 11
            Memory at f8000000 (32-bit, non-prefetchable) [size=64M]
            [virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
            Kernel driver in use: hyperv_fb
            Kernel modules: hyperv_fb
    
    a56d:00:00.0 3D controller: NVIDIA Corporation GK210GL [Tesla K80] (rev a1)
            Subsystem: NVIDIA Corporation GK210GL [Tesla K80]
            Flags: bus master, fast devsel, latency 0, NUMA node 0
            Memory at 21000000 (32-bit, non-prefetchable) [size=16M]
            Memory at 1000000000 (64-bit, prefetchable) [size=16G]
            Memory at 1400000000 (64-bit, prefetchable) [size=32M]
            Capabilities: [60] Power Management version 3
            Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
            Capabilities: [78] Express Endpoint, MSI 00
            Capabilities: [100] Virtual Channel
            Capabilities: [128] Power Budgeting <?>
            Capabilities: [420] Advanced Error Reporting
            Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
            Capabilities: [900] #19
            Kernel driver in use: nvidia
            Kernel modules: nvidia
    
    root@azurenc6:~# nvidia-smi
    Tue Mar 14 07:26:56 2017
    +-----------------------------------------------------------------------------+
    | NVIDIA-SMI 375.39                 Driver Version: 375.39                    |
    |-------------------------------+----------------------+----------------------+
    | GPU  Name        Persistence-M| Bus-Id        Disp.A | Volatile Uncorr. ECC |
    | Fan  Temp  Perf  Pwr:Usage/Cap|         Memory-Usage | GPU-Util  Compute M. |
    |===============================+======================+======================|
    |   0  Tesla K80           Off  | A56D:00:00.0     Off |                    0 |
    | N/A   38C    P0    75W / 149W |      0MiB / 11439MiB |     70%      Default |
    +-------------------------------+----------------------+----------------------+
    
    root@azurenc6:~# hashcat -I
    hashcat (v3.30) starting...
    
    OpenCL Info:
    
    Platform ID #1
      Vendor  : NVIDIA Corporation
      Name    : NVIDIA CUDA
      Version : OpenCL 1.2 CUDA 8.0.0
    
      Device ID #1
        Type           : GPU
        Vendor ID      : 32
        Vendor         : NVIDIA Corporation
        Name           : Tesla K80
        Version        : OpenCL 1.2 CUDA
        Processor(s)   : 13
        Clock          : 823
        Memory         : 2047/11439 MB allocatable
        OpenCL Version : OpenCL C 1.2 
        Driver Version : 375.39
    
    txt file icon summary.txt (3,822 bytes) 2017-03-14 11:35 +
  • txt file icon dmesg.txt (33,499 bytes) 2017-03-14 11:36 -
    [    0.000000] Linux version 4.9.0-kali3-amd64 (devel@kali.org) (gcc version 6.3.0 20170205 (Debian 6.3.0-6) ) #1 SMP Debian 4.9.13-1kali3 (2017-03-13)
    [    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.9.0-kali3-amd64 root=UUID=3008950c-70ff-4047-9ebd-298668712fd9 ro init=/bin/systemd console=ttyS0,115200 earlyprintk=ttyS0,115200
    [    0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
    [    0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
    [    0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
    [    0.000000] x86/fpu: xstate_offset[2]:  576, xstate_sizes[2]:  256
    [    0.000000] x86/fpu: Enabled xstate features 0x7, context size is 832 bytes, using 'standard' format.
    [    0.000000] x86/fpu: Using 'eager' FPU context switches.
    [    0.000000] e820: BIOS-provided physical RAM map:
    [    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usable
    [    0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reserved
    [    0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
    [    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000001ffeffff] usable
    [    0.000000] BIOS-e820: [mem 0x000000001fff0000-0x000000001fffefff] ACPI data
    [    0.000000] BIOS-e820: [mem 0x000000001ffff000-0x000000001fffffff] ACPI NVS
    [    0.000000] BIOS-e820: [mem 0x0000000100000000-0x0000000edfffffff] usable
    [    0.000000] bootconsole [earlyser0] enabled
    [    0.000000] NX (Execute Disable) protection: active
    [    0.000000] SMBIOS 2.3 present.
    [    0.000000] DMI: Microsoft Corporation Virtual Machine/Virtual Machine, BIOS 090006  01/06/2017
    [    0.000000] Hypervisor detected: Microsoft HyperV
    [    0.000000] HyperV: features 0x2e7f, hints 0xc2c
    [    0.000000] HyperV: LAPIC Timer Frequency: 0xc3500
    [    0.000000] clocksource: hyperv_clocksource: mask: 0xffffffffffffffff max_cycles: 0x24e6a1710, max_idle_ns: 440795202120 ns
    [    0.000000] tsc: Marking TSC unstable due to running on Hyper-V
    [    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
    [    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
    [    0.000000] e820: last_pfn = 0xee0000 max_arch_pfn = 0x400000000
    [    0.000000] MTRR default type: uncachable
    [    0.000000] MTRR fixed ranges enabled:
    [    0.000000]   00000-9FFFF write-back
    [    0.000000]   A0000-DFFFF uncachable
    [    0.000000]   E0000-FFFFF write-back
    [    0.000000] MTRR variable ranges enabled:
    [    0.000000]   0 base 00000000000 mask FFFC0000000 write-back
    [    0.000000]   1 base 00100000000 mask FF000000000 write-back
    [    0.000000]   2 disabled
    [    0.000000]   3 disabled
    [    0.000000]   4 disabled
    [    0.000000]   5 disabled
    [    0.000000]   6 disabled
    [    0.000000]   7 disabled
    [    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WC  UC- WT  
    [    0.000000] e820: update [mem 0x40000000-0xffffffff] usable ==> reserved
    [    0.000000] e820: last_pfn = 0x1fff0 max_arch_pfn = 0x400000000
    [    0.000000] found SMP MP-table at [mem 0x000ff780-0x000ff78f] mapped at [ffff93f5c00ff780]
    [    0.000000] Base memory trampoline at [ffff93f5c0099000] 99000 size 24576
    [    0.000000] Using GB pages for direct mapping
    [    0.000000] BRK [0xda3328000, 0xda3328fff] PGTABLE
    [    0.000000] BRK [0xda3329000, 0xda3329fff] PGTABLE
    [    0.000000] BRK [0xda332a000, 0xda332afff] PGTABLE
    [    0.000000] BRK [0xda332b000, 0xda332bfff] PGTABLE
    [    0.000000] BRK [0xda332c000, 0xda332cfff] PGTABLE
    [    0.000000] BRK [0xda332d000, 0xda332dfff] PGTABLE
    [    0.000000] BRK [0xda332e000, 0xda332efff] PGTABLE
    [    0.000000] RAMDISK: [mem 0x1e04c000-0x1f9e4fff]
    [    0.000000] ACPI: Early table checksum verification disabled
    [    0.000000] ACPI: RSDP 0x00000000000F5BF0 000014 (v00 ACPIAM)
    [    0.000000] ACPI: RSDT 0x000000001FFF0000 000040 (v01 VRTUAL MICROSFT 01001706 MSFT 00000097)
    [    0.000000] ACPI: FACP 0x000000001FFF0200 000081 (v02 VRTUAL MICROSFT 01001706 MSFT 00000097)
    [    0.000000] ACPI: DSDT 0x000000001FFF1D24 003CBE (v01 MSFTVM MSFTVM02 00000002 INTL 02002026)
    [    0.000000] ACPI: FACS 0x000000001FFFF000 000040
    [    0.000000] ACPI: WAET 0x000000001FFF1A80 000028 (v01 VRTUAL MICROSFT 01001706 MSFT 00000097)
    [    0.000000] ACPI: SLIC 0x000000001FFF1AC0 000176 (v01 VRTUAL MICROSFT 01001706 MSFT 00000097)
    [    0.000000] ACPI: OEM0 0x000000001FFF1CC0 000064 (v01 VRTUAL MICROSFT 01001706 MSFT 00000097)
    [    0.000000] ACPI: SRAT 0x000000001FFF0800 000130 (v02 VRTUAL MICROSFT 00000001 MSFT 00000001)
    [    0.000000] ACPI: APIC 0x000000001FFF0300 000452 (v01 VRTUAL MICROSFT 01001706 MSFT 00000097)
    [    0.000000] ACPI: OEMB 0x000000001FFFF040 000064 (v01 VRTUAL MICROSFT 01001706 MSFT 00000097)
    [    0.000000] ACPI: Local APIC address 0xfee00000
    [    0.000000] SRAT: PXM 0 -> APIC 0x00 -> Node 0
    [    0.000000] SRAT: PXM 0 -> APIC 0x01 -> Node 0
    [    0.000000] SRAT: PXM 0 -> APIC 0x02 -> Node 0
    [    0.000000] SRAT: PXM 0 -> APIC 0x03 -> Node 0
    [    0.000000] SRAT: PXM 0 -> APIC 0x04 -> Node 0
    [    0.000000] SRAT: PXM 0 -> APIC 0x05 -> Node 0
    [    0.000000] ACPI: SRAT: Node 0 PXM 0 [mem 0x00000000-0x1fffffff] hotplug
    [    0.000000] ACPI: SRAT: Node 0 PXM 0 [mem 0x100000000-0xedfffffff] hotplug
    [    0.000000] ACPI: SRAT: Node 0 PXM 0 [mem 0xee0200000-0xfdfffffff] hotplug
    [    0.000000] ACPI: SRAT: Node 0 PXM 0 [mem 0x2fe0000000-0xffffdfffff] hotplug
    [    0.000000] NUMA: Node 0 [mem 0x00000000-0x1fffffff] + [mem 0x100000000-0xedfffffff] -> [mem 0x00000000-0xedfffffff]
    [    0.000000] NODE_DATA(0) allocated [mem 0xedfffb000-0xedfffffff]
    [    0.000000] Zone ranges:
    [    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
    [    0.000000]   DMA32    [mem 0x0000000001000000-0x00000000ffffffff]
    [    0.000000]   Normal   [mem 0x0000000100000000-0x0000000edfffffff]
    [    0.000000]   Device   empty
    [    0.000000] Movable zone start for each node
    [    0.000000] Early memory node ranges
    [    0.000000]   node   0: [mem 0x0000000000001000-0x000000000009efff]
    [    0.000000]   node   0: [mem 0x0000000000100000-0x000000001ffeffff]
    [    0.000000]   node   0: [mem 0x0000000100000000-0x0000000edfffffff]
    [    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x0000000edfffffff]
    [    0.000000] On node 0 totalpages: 14679950
    [    0.000000]   DMA zone: 64 pages used for memmap
    [    0.000000]   DMA zone: 21 pages reserved
    [    0.000000]   DMA zone: 3998 pages, LIFO batch:0
    [    0.000000]   DMA32 zone: 1984 pages used for memmap
    [    0.000000]   DMA32 zone: 126960 pages, LIFO batch:31
    [    0.000000]   Normal zone: 227328 pages used for memmap
    [    0.000000]   Normal zone: 14548992 pages, LIFO batch:31
    [    0.000000] ACPI: PM-Timer IO Port: 0x408
    [    0.000000] ACPI: Local APIC address 0xfee00000
    [    0.000000] ACPI: LAPIC_NMI (acpi_id[0xff] dfl dfl lint[0x1])
    [    0.000000] IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
    [    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
    [    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
    [    0.000000] ACPI: IRQ0 used by override.
    [    0.000000] ACPI: IRQ9 used by override.
    [    0.000000] Using ACPI (MADT) for SMP configuration information
    [    0.000000] smpboot: Allowing 128 CPUs, 122 hotplug CPUs
    [    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
    [    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
    [    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000dffff]
    [    0.000000] PM: Registered nosave memory: [mem 0x000e0000-0x000fffff]
    [    0.000000] PM: Registered nosave memory: [mem 0x1fff0000-0x1fffefff]
    [    0.000000] PM: Registered nosave memory: [mem 0x1ffff000-0x1fffffff]
    [    0.000000] PM: Registered nosave memory: [mem 0x20000000-0xffffffff]
    [    0.000000] e820: [mem 0x20000000-0xffffffff] available for PCI devices
    [    0.000000] Booting paravirtualized kernel on bare hardware
    [    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645519600211568 ns
    [    0.000000] setup_percpu: NR_CPUS:512 nr_cpumask_bits:512 nr_cpu_ids:128 nr_node_ids:1
    [    0.000000] percpu: Embedded 35 pages/cpu @ffff940465600000 s103384 r8192 d31784 u262144
    [    0.000000] pcpu-alloc: s103384 r8192 d31784 u262144 alloc=1*2097152
    [    0.000000] pcpu-alloc: [0] 000 001 002 003 004 005 006 007 
    [    0.000000] pcpu-alloc: [0] 008 009 010 011 012 013 014 015 
    [    0.000000] pcpu-alloc: [0] 016 017 018 019 020 021 022 023 
    [    0.000000] pcpu-alloc: [0] 024 025 026 027 028 029 030 031 
    [    0.000000] pcpu-alloc: [0] 032 033 034 035 036 037 038 039 
    [    0.000000] pcpu-alloc: [0] 040 041 042 043 044 045 046 047 
    [    0.000000] pcpu-alloc: [0] 048 049 050 051 052 053 054 055 
    [    0.000000] pcpu-alloc: [0] 056 057 058 059 060 061 062 063 
    [    0.000000] pcpu-alloc: [0] 064 065 066 067 068 069 070 071 
    [    0.000000] pcpu-alloc: [0] 072 073 074 075 076 077 078 079 
    [    0.000000] pcpu-alloc: [0] 080 081 082 083 084 085 086 087 
    [    0.000000] pcpu-alloc: [0] 088 089 090 091 092 093 094 095 
    [    0.000000] pcpu-alloc: [0] 096 097 098 099 100 101 102 103 
    [    0.000000] pcpu-alloc: [0] 104 105 106 107 108 109 110 111 
    [    0.000000] pcpu-alloc: [0] 112 113 114 115 116 117 118 119 
    [    0.000000] pcpu-alloc: [0] 120 121 122 123 124 125 126 127 
    [    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 14450553
    [    0.000000] Policy zone: Normal
    [    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.9.0-kali3-amd64 root=UUID=3008950c-70ff-4047-9ebd-298668712fd9 ro init=/bin/systemd console=ttyS0,115200 earlyprintk=ttyS0,115200
    [    0.000000] log_buf_len individual max cpu contribution: 4096 bytes
    [    0.000000] log_buf_len total cpu_extra contributions: 520192 bytes
    [    0.000000] log_buf_len min size: 131072 bytes
    [    0.000000] log_buf_len: 1048576 bytes
    [    0.000000] early log buf free: 121128(92%)
    [    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
    [    0.000000] Calgary: detecting Calgary via BIOS EBDA area
    [    0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
    [    0.000000] Memory: 57677476K/58719800K available (6082K kernel code, 1119K rwdata, 2796K rodata, 1388K init, 684K bss, 1042324K reserved, 0K cma-reserved)
    [    0.000000] Hierarchical RCU implementation.
    [    0.000000] 	Build-time adjustment of leaf fanout to 64.
    [    0.000000] 	RCU restricting CPUs from NR_CPUS=512 to nr_cpu_ids=128.
    [    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=64, nr_cpu_ids=128
    [    0.000000] NR_IRQS:33024 nr_irqs:1448 16
    [    0.000000] Console: colour VGA+ 80x25
    [    0.000000] console [ttyS0] enabled
    [    0.000000] bootconsole [earlyser0] disabled
    [    0.000000] tsc: Unable to calibrate against PIT
    [    0.000000] tsc: using PMTIMER reference calibration
    [    0.000000] tsc: Detected 2596.968 MHz processor
    [    0.016041] Calibrating delay loop (skipped), value calculated using timer frequency.. 5193.93 BogoMIPS (lpj=10387872)
    [    0.020957] pid_max: default: 131072 minimum: 1024
    [    0.022746] ACPI: Core revision 20160831
    [    0.025828] ACPI: 1 ACPI AML tables successfully acquired and loaded
    [    0.028293] Security Framework initialized
    [    0.029628] Yama: disabled by default; enable with sysctl kernel.yama.*
    [    0.032016] AppArmor: AppArmor disabled by boot time parameter
    [    0.036766] Dentry cache hash table entries: 8388608 (order: 14, 67108864 bytes)
    [    0.049046] Inode-cache hash table entries: 4194304 (order: 13, 33554432 bytes)
    [    0.055831] Mount-cache hash table entries: 131072 (order: 8, 1048576 bytes)
    [    0.056055] Mountpoint-cache hash table entries: 131072 (order: 8, 1048576 bytes)
    [    0.060733] CPU: Physical Processor ID: 0
    [    0.062352] CPU: Processor Core ID: 0
    [    0.064025] mce: CPU supports 1 MCE banks
    [    0.065355] Last level iTLB entries: 4KB 1024, 2MB 1024, 4MB 1024
    [    0.067320] Last level dTLB entries: 4KB 1024, 2MB 1024, 4MB 1024, 1GB 4
    [    0.069324] Freeing SMP alternatives memory: 24K (ffffffff9b474000 - ffffffff9b47a000)
    [    0.077511] ftrace: allocating 24842 entries in 98 pages
    [    0.084088] smpboot: Max logical packages: 16
    [    0.085541] Switched APIC routing to physical flat.
    [    0.111196] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
    [    0.112115] smpboot: CPU0: Intel(R) Xeon(R) CPU E5-2690 v3 @ 2.60GHz (family: 0x6, model: 0x3f, stepping: 0x2)
    [    0.115668] Performance Events: unsupported p6 CPU model 63 no PMU driver, software events only.
    [    0.120468] NMI watchdog: disabled (cpu0): hardware events not enabled
    [    0.122917] NMI watchdog: Shutting down hard lockup detector on all cpus
    [    0.124121] x86: Booting SMP configuration:
    [    0.125531] .... node  #0, CPUs:          #1   #2   #3   #4   #5
    [    0.528040] x86: Booted up 1 node, 6 CPUs
    [    0.529362] smpboot: Total of 6 processors activated (31163.43 BogoMIPS)
    [    0.539165] devtmpfs: initialized
    [    0.540054] x86/mm: Memory block size: 128MB
    [    0.548240] PM: Registering ACPI NVS region [mem 0x1ffff000-0x1fffffff] (4096 bytes)
    [    0.550726] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645041785100000 ns
    [    0.552083] futex hash table entries: 32768 (order: 9, 2097152 bytes)
    [    0.556612] pinctrl core: initialized pinctrl subsystem
    [    0.559368] NET: Registered protocol family 16
    [    0.572001] cpuidle: using governor ladder
    [    0.584001] cpuidle: using governor menu
    [    0.585381] ACPI: bus type PCI registered
    [    0.586746] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
    [    0.588392] PCI: Using configuration type 1 for base access
    [    0.604143] HugeTLB registered 1 GB page size, pre-allocated 0 pages
    [    0.606222] HugeTLB registered 2 MB page size, pre-allocated 0 pages
    [    0.608301] ACPI: Added _OSI(Module Device)
    [    0.609722] ACPI: Added _OSI(Processor Device)
    [    0.612004] ACPI: Added _OSI(3.0 _SCP Extensions)
    [    0.613598] ACPI: Added _OSI(Processor Aggregator Device)
    [    0.619060] ACPI: Interpreter enabled
    [    0.620010] ACPI: (supports S0 S5)
    [    0.621151] ACPI: Using IOAPIC for interrupt routing
    [    0.622834] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
    [    0.637152] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
    [    0.639085] acpi PNP0A03:00: _OSC: OS supports [ASPM ClockPM Segments MSI]
    [    0.640004] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
    [    0.642107] acpi PNP0A03:00: fail to add MMCONFIG information, can't access extended PCI configuration space under this bridge.
    [    0.644099] PCI host bridge to bus 0000:00
    [    0.648002] pci_bus 0000:00: root bus resource [mem 0xfe0000000-0x2fdfffffff window]
    [    0.650464] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
    [    0.652001] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
    [    0.654421] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
    [    0.656001] pci_bus 0000:00: root bus resource [mem 0x20000000-0xfffbffff window]
    [    0.660001] pci_bus 0000:00: root bus resource [bus 00-ff]
    [    0.661836] pci 0000:00:00.0: [8086:7192] type 00 class 0x060000
    [    0.662899] pci 0000:00:07.0: [8086:7110] type 00 class 0x060100
    [    0.664497] pci 0000:00:07.1: [8086:7111] type 00 class 0x010180
    [    0.665556] pci 0000:00:07.1: reg 0x20: [io  0xffa0-0xffaf]
    [    0.666018] pci 0000:00:07.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
    [    0.668001] pci 0000:00:07.1: legacy IDE quirk: reg 0x14: [io  0x03f6]
    [    0.670093] pci 0000:00:07.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
    [    0.672001] pci 0000:00:07.1: legacy IDE quirk: reg 0x1c: [io  0x0376]
    [    0.674385] pci 0000:00:07.3: [8086:7113] type 00 class 0x068000
    [    0.674407] * Found PM-Timer Bug on the chipset. Due to workarounds for a bug,
                   * this clock source is slow. Consider trying other clock sources
    [    0.680766] pci 0000:00:07.3: quirk: [io  0x0400-0x043f] claimed by PIIX4 ACPI
    [    0.683542] pci 0000:00:08.0: [1414:5353] type 00 class 0x030000
    [    0.683762] pci 0000:00:08.0: reg 0x10: [mem 0xf8000000-0xfbffffff]
    [    0.692220] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 7 9 10 *11 12 14 15)
    [    0.695047] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 7 9 10 11 12 14 15) *0, disabled.
    [    0.697832] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 7 9 10 11 12 14 15) *0, disabled.
    [    0.701868] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 7 9 10 11 12 14 15) *0, disabled.
    [    0.705128] ACPI: Enabled 1 GPEs in block 00 to 0F
    [    0.707261] vgaarb: setting as boot device: PCI:0000:00:08.0
    [    0.707261] vgaarb: device added: PCI:0000:00:08.0,decodes=io+mem,owns=io+mem,locks=none
    [    0.708001] vgaarb: loaded
    [    0.712001] vgaarb: bridge control possible 0000:00:08.0
    [    0.713762] PCI: Using ACPI for IRQ routing
    [    0.713762] PCI: pci_cache_line_size set to 64 bytes
    [    0.716029] e820: reserve RAM buffer [mem 0x0009fc00-0x0009ffff]
    [    0.716030] e820: reserve RAM buffer [mem 0x1fff0000-0x1fffffff]
    [    0.716228] clocksource: Switched to clocksource hyperv_clocksource
    [    0.724731] VFS: Disk quotas dquot_6.6.0
    [    0.726140] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
    [    0.728489] pnp: PnP ACPI init
    [    0.729552] pnp 00:00: Plug and Play ACPI device, IDs PNP0b00 (active)
    [    0.729587] pnp 00:01: Plug and Play ACPI device, IDs PNP0303 PNP030b (active)
    [    0.729622] pnp 00:02: Plug and Play ACPI device, IDs PNP0f03 PNP0f13 (active)
    [    0.730001] pnp 00:03: [dma 0 disabled]
    [    0.730024] pnp 00:03: Plug and Play ACPI device, IDs PNP0501 (active)
    [    0.730393] pnp 00:04: [dma 0 disabled]
    [    0.730413] pnp 00:04: Plug and Play ACPI device, IDs PNP0501 (active)
    [    0.730800] pnp 00:05: [dma 2]
    [    0.730832] pnp 00:05: Plug and Play ACPI device, IDs PNP0700 (active)
    [    0.730862] system 00:06: [io  0x01e0-0x01ef] has been reserved
    [    0.732915] system 00:06: [io  0x0160-0x016f] has been reserved
    [    0.734934] system 00:06: [io  0x0278-0x027f] has been reserved
    [    0.736896] system 00:06: [io  0x0378-0x037f] has been reserved
    [    0.738859] system 00:06: [io  0x0678-0x067f] has been reserved
    [    0.740825] system 00:06: [io  0x0778-0x077f] has been reserved
    [    0.742793] system 00:06: [io  0x04d0-0x04d1] has been reserved
    [    0.744701] system 00:06: Plug and Play ACPI device, IDs PNP0c02 (active)
    [    0.744814] system 00:07: [io  0x0400-0x043f] has been reserved
    [    0.746716] system 00:07: [io  0x0370-0x0371] has been reserved
    [    0.748924] system 00:07: [io  0x0440-0x044f] has been reserved
    [    0.750828] system 00:07: [mem 0xfec00000-0xfec00fff] could not be reserved
    [    0.753218] system 00:07: [mem 0xfee00000-0xfee00fff] has been reserved
    [    0.755367] system 00:07: Plug and Play ACPI device, IDs PNP0c02 (active)
    [    0.755455] system 00:08: [mem 0x00000000-0x0009ffff] could not be reserved
    [    0.757704] system 00:08: [mem 0x000c0000-0x000dffff] could not be reserved
    [    0.759933] system 00:08: [mem 0x000e0000-0x000fffff] could not be reserved
    [    0.762228] system 00:08: [mem 0x00100000-0x1fffffff] could not be reserved
    [    0.764507] system 00:08: [mem 0xfffc0000-0xffffffff] has been reserved
    [    0.766642] system 00:08: Plug and Play ACPI device, IDs PNP0c01 (active)
    [    0.766785] pnp: PnP ACPI: found 9 devices
    [    0.775211] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
    [    0.778071] pci_bus 0000:00: resource 4 [mem 0xfe0000000-0x2fdfffffff window]
    [    0.778072] pci_bus 0000:00: resource 5 [io  0x0000-0x0cf7 window]
    [    0.778073] pci_bus 0000:00: resource 6 [io  0x0d00-0xffff window]
    [    0.778074] pci_bus 0000:00: resource 7 [mem 0x000a0000-0x000bffff window]
    [    0.778075] pci_bus 0000:00: resource 8 [mem 0x20000000-0xfffbffff window]
    [    0.778411] NET: Registered protocol family 2
    [    0.780500] TCP established hash table entries: 524288 (order: 10, 4194304 bytes)
    [    0.783441] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
    [    0.785735] TCP: Hash tables configured (established 524288 bind 65536)
    [    0.787958] UDP hash table entries: 32768 (order: 8, 1048576 bytes)
    [    0.790069] UDP-Lite hash table entries: 32768 (order: 8, 1048576 bytes)
    [    0.792688] NET: Registered protocol family 1
    [    0.794354] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
    [    0.796361] pci 0000:00:08.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
    [    0.798959] PCI: CLS 0 bytes, default 64
    [    0.798992] Unpacking initramfs...
    [    1.124575] Freeing initrd memory: 26212K (ffff93f5de04c000 - ffff93f5df9e5000)
    [    1.126986] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
    [    1.129217] software IO TLB [mem 0x1a04c000-0x1e04c000] (64MB) mapped at [ffff93f5da04c000-ffff93f5de04bfff]
    [    1.132472] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x256f0c1f2ef, max_idle_ns: 440795338878 ns
    [    1.137242] audit: initializing netlink subsys (disabled)
    [    1.138956] audit: type=2000 audit(1489489506.136:1): initialized
    [    1.141298] workingset: timestamp_bits=40 max_order=24 bucket_order=0
    [    1.143423] zbud: loaded
    [    1.145231] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 251)
    [    1.147665] io scheduler noop registered
    [    1.148965] io scheduler deadline registered
    [    1.150490] io scheduler cfq registered (default)
    [    1.152050] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
    [    1.154136] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
    [    1.156259] intel_idle: does not run on family 6 model 63
    [    1.156406] GHES: HEST is not enabled!
    [    1.157695] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
    [    1.183466] 00:03: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
    [    1.209826] 00:04: ttyS1 at I/O 0x2f8 (irq = 3, base_baud = 115200) is a 16550A
    [    1.212468] Linux agpgart interface v0.103
    [    1.213830] AMD IOMMUv2 driver by Joerg Roedel <jroedel@suse.de>
    [    1.215786] AMD IOMMUv2 functionality not available on this system
    [    1.218246] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
    [    1.225476] serio: i8042 KBD port at 0x60,0x64 irq 1
    [    1.227029] serio: i8042 AUX port at 0x60,0x64 irq 12
    [    1.228748] mousedev: PS/2 mouse device common for all mice
    [    1.230670] rtc_cmos 00:00: RTC can wake from S4
    [    1.252755] rtc_cmos 00:00: rtc core: registered rtc_cmos as rtc0
    [    1.255941] rtc_cmos 00:00: alarms up to one month, 114 bytes nvram
    [    1.258195] ledtrig-cpu: registered to indicate activity on CPUs
    [    1.261730] NET: Registered protocol family 10
    [    1.263794] mip6: Mobile IPv6
    [    1.264828] NET: Registered protocol family 17
    [    1.266319] mpls_gso: MPLS GSO support
    [    1.267772] microcode: sig=0x306f2, pf=0x1, revision=0xffffffff
    [    1.269774] microcode: Microcode Update Driver: v2.01 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
    [    1.272831] registered taskstats version 1
    [    1.274189] zswap: loaded using pool lzo/zbud
    [    1.276422] rtc_cmos 00:00: setting system clock to 2017-03-14 11:05:07 UTC (1489489507)
    [    1.278592] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
    [    1.281898] PM: Hibernation image not present or could not be loaded.
    [    1.284289] Freeing unused kernel memory: 1388K (ffffffff9b319000 - ffffffff9b474000)
    [    1.286897] Write protecting the kernel read-only data: 10240k
    [    1.288977] Freeing unused kernel memory: 44K (ffff940362bf5000 - ffff940362c00000)
    [    1.293951] Freeing unused kernel memory: 1300K (ffff940362ebb000 - ffff940363000000)
    [    1.299963] x86/mm: Checked W+X mappings: passed, no W+X pages found.
    [    1.344913] random: systemd-udevd: uninitialized urandom read (16 bytes read)
    [    1.345664] random: udevadm: uninitialized urandom read (16 bytes read)
    [    1.345698] random: udevadm: uninitialized urandom read (16 bytes read)
    [    1.350532] random: udevadm: uninitialized urandom read (16 bytes read)
    [    1.350587] random: udevadm: uninitialized urandom read (16 bytes read)
    [    1.350604] random: udevadm: uninitialized urandom read (16 bytes read)
    [    1.350809] random: udevadm: uninitialized urandom read (16 bytes read)
    [    1.350862] random: udevadm: uninitialized urandom read (16 bytes read)
    [    1.350915] random: udevadm: uninitialized urandom read (16 bytes read)
    [    1.350965] random: udevadm: uninitialized urandom read (16 bytes read)
    [    1.379335] FUJITSU Extended Socket Network Device Driver - version 1.1 - Copyright (c) 2015 FUJITSU LIMITED
    [    1.382952] clocksource: hyperv_clocksource_tsc_page: mask: 0xffffffffffffffff max_cycles: 0x24e6a1710, max_idle_ns: 440795202120 ns
    [    1.386899] clocksource: Switched to clocksource hyperv_clocksource_tsc_page
    [    1.386959] piix4_smbus 0000:00:07.3: SMBus base address uninitialized - upgrade BIOS or use force_addr=0xaddr
    [    1.392894] hv_vmbus: Hyper-V Host Build:14393-10.0-0-0.196; Vmbus version:4.0
    [    1.397272] SCSI subsystem initialized
    [    1.400720] AVX2 version of gcm_enc/dec engaged.
    [    1.400837] libata version 3.00 loaded.
    [    1.402392] AES CTR mode by8 optimization enabled
    [    1.405219] ata_piix 0000:00:07.1: version 2.13
    [    1.405361] ata_piix 0000:00:07.1: Hyper-V Virtual Machine detected, ATA device ignore set
    [    1.411552] scsi host0: ata_piix
    [    1.412757] scsi host1: ata_piix
    [    1.413819] ata1: PATA max UDMA/33 cmd 0x1f0 ctl 0x3f6 bmdma 0xffa0 irq 14
    [    1.415953] ata2: PATA max UDMA/33 cmd 0x170 ctl 0x376 bmdma 0xffa8 irq 15
    [    1.418828] hidraw: raw HID events driver (C) Jiri Kosina
    [    1.421004] hv_vmbus: registering driver hv_storvsc
    [    1.423052] hv_vmbus: registering driver hid_hyperv
    [    1.425177] scsi host2: storvsc_host_t
    [    1.426494] hv_vmbus: registering driver hv_netvsc
    [    1.428504] scsi 2:0:0:0: Direct-Access     Msft     Virtual Disk     1.0  PQ: 0 ANSI: 4
    [    1.445088] scsi host3: storvsc_host_t
    [    1.446778] scsi 3:0:1:0: Direct-Access     Msft     Virtual Disk     1.0  PQ: 0 ANSI: 5
    [    1.469938] scsi host4: storvsc_host_t
    [    1.473062] scsi host5: storvsc_host_t
    [    1.475689] input: Microsoft Vmbus HID-compliant Mouse as /devices/0006:045E:0621.0001/input/input2
    [    1.478807] hid-generic 0006:045E:0621.0001: input: <UNKNOWN> HID v0.01 Mouse [Microsoft Vmbus HID-compliant Mouse] on 
    [    1.483613] hv_netvsc: hv_netvsc channel opened successfully
    [    1.485884] sd 2:0:0:0: [sda] 62914560 512-byte logical blocks: (32.2 GB/30.0 GiB)
    [    1.486347] sd 3:0:1:0: [sdb] 713031680 512-byte logical blocks: (365 GB/340 GiB)
    [    1.486348] sd 3:0:1:0: [sdb] 4096-byte physical blocks
    [    1.486472] sd 3:0:1:0: [sdb] Write Protect is off
    [    1.486473] sd 3:0:1:0: [sdb] Mode Sense: 0f 00 00 00
    [    1.486504] sd 3:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
    [    1.487054]  sdb: sdb1
    [    1.487374] sd 3:0:1:0: [sdb] Attached SCSI disk
    [    1.499281] sd 2:0:0:0: [sda] Write Protect is off
    [    1.500333] sd 2:0:0:0: [sda] Mode Sense: 0f 00 10 00
    [    1.500413] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, supports DPO and FUA
    [    1.501177] hv_netvsc 000d3a71-6322-000d-3a71-6322000d3a71: Send section size: 6144, Section count:2560
    [    1.501422] hv_netvsc 000d3a71-6322-000d-3a71-6322000d3a71: Device MAC 00:0d:3a:71:63:22 link state up
    [    1.510788]  sda: sda1
    [    1.512128] sd 2:0:0:0: [sda] Attached SCSI disk
    [    1.588003] random: fast init done
    [    1.686692] ata2.01: NODEV after polling detection
    [    1.730197] ata1.01: host indicates ignore ATA devices, ignored
    [    1.731125] ata2.00: ATAPI: Virtual CD, , max MWDMA2
    [    1.733333] ata1.00: host indicates ignore ATA devices, ignored
    [    1.734120] ata2.00: configured for MWDMA2
    [    1.736865] scsi 1:0:0:0: CD-ROM            Msft     Virtual CD/ROM   1.0  PQ: 0 ANSI: 5
    [    1.773233] sr 1:0:0:0: [sr0] scsi3-mmc drive: 0x/0x tray
    [    1.774946] cdrom: Uniform CD-ROM driver Revision: 3.20
    [    1.776104] sr 1:0:0:0: Attached scsi CD-ROM sr0
    [    1.967729] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
    [    2.481072] ip_tables: (C) 2000-2006 Netfilter Core Team
    [    2.492033] systemd[1]: systemd 232 running in system mode. (+PAM +AUDIT +SELINUX +IMA +APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN)
    [    2.498417] systemd[1]: Detected virtualization microsoft.
    [    2.500248] systemd[1]: Detected architecture x86-64.
    [    2.503952] systemd[1]: Set hostname to <gpu>.
    [    2.992521] systemd[1]: ModemManager.service: Cannot add dependency job, ignoring: Unit ModemManager.service is masked.
    [    2.996225] systemd[1]: NetworkManager.service: Cannot add dependency job, ignoring: Unit NetworkManager.service is masked.
    [    3.001380] systemd[1]: Listening on Device-mapper event daemon FIFOs.
    [    3.011830] systemd[1]: Started Dispatch Password Requests to Console Directory Watch.
    [    3.024071] systemd[1]: Listening on Journal Audit Socket.
    [    3.027248] systemd[1]: Reached target Swap.
    [    3.769737] random: crng init done
    [    3.786366] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro
    [    3.899425] systemd-journald[326]: Received request to flush runtime journal from PID 1
    [    4.081663] nvidia: loading out-of-tree module taints kernel.
    [    4.083779] nvidia: module license 'NVIDIA' taints kernel.
    [    4.085761] Disabling lock debugging due to kernel taint
    [    4.096070] NVRM: No NVIDIA graphics adapter found!
    [    4.146918] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
    [    4.149602] ACPI: Power Button [PWRF]
    [    4.149647] RAPL PMU: API unit is 2^-32 Joules, 4 fixed counters, 10737418240 ms ovfl timer
    [    4.149648] RAPL PMU: hw unit of domain pp0-core 2^-0 Joules
    [    4.149648] RAPL PMU: hw unit of domain package 2^-0 Joules
    [    4.149648] RAPL PMU: hw unit of domain dram 2^-0 Joules
    [    4.149649] RAPL PMU: hw unit of domain pp1-gpu 2^-0 Joules
    [    4.174313] EDAC MC: Ver: 3.0.0
    [    4.176348] EDAC sbridge: Seeking for: PCI ID 8086:2fa0
    [    4.176349] EDAC sbridge:  Ver: 1.1.1 
    [    4.272578] hv_vmbus: registering driver hyperv_fb
    [    4.273859] hyperv_fb: Screen resolution: 1152x864, Color depth: 32
    [    4.460308] Console: switching to colour frame buffer device 144x54
    [    4.661208] [drm] Initialized
    [    4.752507] hv_utils: Registering HyperV Utility Driver
    [    4.754576] hv_vmbus: registering driver hv_util
    [    4.756664] hv_vmbus: registering driver hyperv_keyboard
    [    4.756740] hv_vmbus: registering driver hv_balloon
    [    4.760457] hv_utils: Using TimeSync version 4.0
    [    4.762197] input: AT Translated Set 2 keyboard as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:07/VMBUS:01/d34b2567-b9b6-42b9-8778-0a4ec0b955bf/serio2/input/input4
    [    4.767464] hv_vmbus: registering driver hv_pci
    [    4.769507] sd 2:0:0:0: Attached scsi generic sg0 type 0
    [    4.771395] sd 3:0:1:0: Attached scsi generic sg1 type 0
    [    4.773399] sr 1:0:0:0: Attached scsi generic sg2 type 5
    [    5.306764] ACPI: \: failed to evaluate _DSM (0x1001)
    [    5.308699] hv_pci e86942b3-ec76-43c6-a56d-e2bdd9a0cc1e: PCI host bridge to bus a56d:00
    [    5.311741] pci_bus a56d:00: root bus resource [mem 0x21000000-0x21ffffff window]
    [    5.315164] pci_bus a56d:00: root bus resource [mem 0x1000000000-0x1401ffffff window]
    [    5.320077] pci a56d:00:00.0: [10de:102d] type 00 class 0x030200
    [    6.063702] pci a56d:00:00.0: reg 0x10: [mem 0x21000000-0x21ffffff]
    [    6.808888] pci a56d:00:00.0: reg 0x14: [mem 0x1000000000-0x13ffffffff 64bit pref]
    [    7.555036] pci a56d:00:00.0: reg 0x1c: [mem 0x1400000000-0x1401ffffff 64bit pref]
    [    9.060905] NVRM: No NVIDIA graphics adapter found!
    [    9.076381] pci a56d:00:00.0: BAR 1: assigned [mem 0x1000000000-0x13ffffffff 64bit pref]
    [    9.077132] sd 3:0:1:0: [storvsc] Sense Key : Illegal Request [current] 
    [    9.077134] sd 3:0:1:0: [storvsc] Add. Sense: Invalid command operation code
    [    9.077139] sd 2:0:0:0: [storvsc] Sense Key : Illegal Request [current] 
    [    9.077140] sd 2:0:0:0: [storvsc] Add. Sense: Invalid command operation code
    [    9.077203] sd 2:0:0:0: [storvsc] Sense Key : Illegal Request [current] 
    [    9.077204] sd 3:0:1:0: [storvsc] Sense Key : Illegal Request [current] 
    [    9.077205] sd 2:0:0:0: [storvsc] Add. Sense: Invalid command operation code
    [    9.077205] sd 3:0:1:0: [storvsc] Add. Sense: Invalid command operation code
    [    9.830447] pci a56d:00:00.0: BAR 3: assigned [mem 0x1400000000-0x1401ffffff 64bit pref]
    [   10.574528] pci a56d:00:00.0: BAR 0: assigned [mem 0x21000000-0x21ffffff]
    [   10.618698] nvidia a56d:00:00.0: can't derive routing for PCI INT A
    [   10.619886] nvidia a56d:00:00.0: PCI INT A: no GSI
    [   10.622865] nvidia-nvlink: Nvlink Core is being initialized, major device number 248
    [   10.622875] NVRM: loading NVIDIA UNIX x86_64 Kernel Module  375.39  Tue Jan 31 20:47:00 PST 2017
    [   10.622876]  (using threaded interrupts)
    
    [   11.366258] EXT4-fs (sdb1): mounted filesystem with ordered data mode. Opts: (null)
    [   12.296839] Bluetooth: Core ver 2.22
    [   12.298131] NET: Registered protocol family 31
    [   12.299669] Bluetooth: HCI device and connection manager initialized
    [   12.301869] Bluetooth: HCI socket layer initialized
    [   12.303631] Bluetooth: L2CAP socket layer initialized
    [   12.305469] Bluetooth: SCO socket layer initialized
    [   12.308431] Netfilter messages via NETLINK v0.30.
    [   54.558623] hv_balloon: Received INFO_TYPE_MAX_PAGE_CNT
    [   54.560489] hv_balloon: Data Size is 8
    [  115.056261] nvidia-uvm: Loaded the UVM driver in 8 mode, major device number 247
    
    txt file icon dmesg.txt (33,499 bytes) 2017-03-14 11:36 +
  • txt file icon clinfo.txt (7,209 bytes) 2017-03-14 11:36 -
    Number of platforms                               1
      Platform Name                                   NVIDIA CUDA
      Platform Vendor                                 NVIDIA Corporation
      Platform Version                                OpenCL 1.2 CUDA 8.0.0
      Platform Profile                                FULL_PROFILE
      Platform Extensions                             cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64 cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll cl_nv_copy_opts
      Platform Extensions function suffix             NV
    
      Platform Name                                   NVIDIA CUDA
    Number of devices                                 1
      Device Name                                     Tesla K80
      Device Vendor                                   NVIDIA Corporation
      Device Vendor ID                                0x10de
      Device Version                                  OpenCL 1.2 CUDA
      Driver Version                                  375.39
      Device OpenCL C Version                         OpenCL C 1.2 
      Device Type                                     GPU
      Device Profile                                  FULL_PROFILE
      Device Topology (NV)                            PCI-E, 00:00.0
      Max compute units                               13
      Max clock frequency                             823MHz
      Compute Capability (NV)                         3.7
      Device Partition                                (core)
        Max number of sub-devices                     1
        Supported partition types                     None
      Max work item dimensions                        3
      Max work item sizes                             1024x1024x64
      Max work group size                             1024
      Preferred work group size multiple              32
      Warp size (NV)                                  32
      Preferred / native vector sizes                 
        char                                                 1 / 1       
        short                                                1 / 1       
        int                                                  1 / 1       
        long                                                 1 / 1       
        half                                                 0 / 0        (n/a)
        float                                                1 / 1       
        double                                               1 / 1        (cl_khr_fp64)
      Half-precision Floating-point support           (n/a)
      Single-precision Floating-point support         (core)
        Denormals                                     Yes
        Infinity and NANs                             Yes
        Round to nearest                              Yes
        Round to zero                                 Yes
        Round to infinity                             Yes
        IEEE754-2008 fused multiply-add               Yes
        Support is emulated in software               No
        Correctly-rounded divide and sqrt operations  Yes
      Double-precision Floating-point support         (cl_khr_fp64)
        Denormals                                     Yes
        Infinity and NANs                             Yes
        Round to nearest                              Yes
        Round to zero                                 Yes
        Round to infinity                             Yes
        IEEE754-2008 fused multiply-add               Yes
        Support is emulated in software               No
        Correctly-rounded divide and sqrt operations  No
      Address bits                                    64, Little-Endian
      Global memory size                              11995578368 (11.17GiB)
      Error Correction support                        Yes
      Max memory allocation                           2998894592 (2.793GiB)
      Unified memory for Host and Device              No
      Integrated memory (NV)                          No
      Minimum alignment for any data type             128 bytes
      Alignment of base address                       4096 bits (512 bytes)
      Global Memory cache type                        Read/Write
      Global Memory cache size                        212992
      Global Memory cache line                        128 bytes
      Image support                                   Yes
        Max number of samplers per kernel             32
        Max size for 1D images from buffer            134217728 pixels
        Max 1D or 2D image array size                 2048 images
        Max 2D image size                             16384x16384 pixels
        Max 3D image size                             4096x4096x4096 pixels
        Max number of read image args                 256
        Max number of write image args                16
      Local memory type                               Local
      Local memory size                               49152 (48KiB)
      Registers per block (NV)                        65536
      Max constant buffer size                        65536 (64KiB)
      Max number of constant args                     9
      Max size of kernel argument                     4352 (4.25KiB)
      Queue properties                                
        Out-of-order execution                        Yes
        Profiling                                     Yes
      Prefer user sync for interop                    No
      Profiling timer resolution                      1000ns
      Execution capabilities                          
        Run OpenCL kernels                            Yes
        Run native kernels                            No
        Kernel execution timeout (NV)                 No
      Concurrent copy and kernel execution (NV)       Yes
        Number of async copy engines                  2
      printf() buffer size                            1048576 (1024KiB)
      Built-in kernels                                
      Device Available                                Yes
      Compiler Available                              Yes
      Linker Available                                Yes
      Device Extensions                               cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64 cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll cl_nv_copy_opts
    
    NULL platform behavior
      clGetPlatformInfo(NULL, CL_PLATFORM_NAME, ...)  NVIDIA CUDA
      clGetDeviceIDs(NULL, CL_DEVICE_TYPE_ALL, ...)   Success [NV]
      clCreateContext(NULL, ...) [default]            Success [NV]
      clCreateContextFromType(NULL, CL_DEVICE_TYPE_CPU)  No devices found in platform
      clCreateContextFromType(NULL, CL_DEVICE_TYPE_GPU)  No platform
      clCreateContextFromType(NULL, CL_DEVICE_TYPE_ACCELERATOR)  No devices found in platform
      clCreateContextFromType(NULL, CL_DEVICE_TYPE_CUSTOM)  No devices found in platform
      clCreateContextFromType(NULL, CL_DEVICE_TYPE_ALL)  No platform
    
    ICD loader properties
      ICD loader Name                                 OpenCL ICD Loader
      ICD loader Vendor                               OCL Icd free software
      ICD loader Version                              2.2.11
      ICD loader Profile                              OpenCL 2.1
    
    txt file icon clinfo.txt (7,209 bytes) 2017-03-14 11:36 +
  • txt file icon lspci.txt (5,552 bytes) 2017-03-14 11:36 -
    0000:00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (AGP disabled) (rev 03)
    	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
    	Latency: 0
    
    0000:00:07.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 01)
    	Subsystem: Microsoft Corporation 82371AB/EB/MB PIIX4 ISA
    	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
    	Latency: 0
    
    0000:00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01) (prog-if 80 [Master])
    	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
    	Latency: 0
    	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
    	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable)
    	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
    	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable)
    	Region 4: I/O ports at ffa0 [size=16]
    	Kernel driver in use: ata_piix
    	Kernel modules: ata_piix, ata_generic
    
    0000:00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 02)
    	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
    	Interrupt: pin A routed to IRQ 9
    	Kernel modules: i2c_piix4
    
    0000:00:08.0 VGA compatible controller: Microsoft Corporation Hyper-V virtual VGA (prog-if 00 [VGA controller])
    	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
    	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
    	Latency: 0
    	Interrupt: pin A routed to IRQ 11
    	Region 0: Memory at f8000000 (32-bit, non-prefetchable) [size=64M]
    	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
    	Kernel driver in use: hyperv_fb
    	Kernel modules: hyperv_fb
    
    a56d:00:00.0 3D controller: NVIDIA Corporation GK210GL [Tesla K80] (rev a1)
    	Subsystem: NVIDIA Corporation GK210GL [Tesla K80]
    	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
    	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
    	Latency: 0
    	Interrupt: pin A routed to IRQ 0
    	NUMA node: 0
    	Region 0: Memory at 21000000 (32-bit, non-prefetchable) [size=16M]
    	Region 1: Memory at 1000000000 (64-bit, prefetchable) [size=16G]
    	Region 3: Memory at 1400000000 (64-bit, prefetchable) [size=32M]
    	Capabilities: [60] Power Management version 3
    		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
    		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
    	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
    		Address: 0000000000000000  Data: 0000
    	Capabilities: [78] Express (v2) Endpoint, MSI 00
    		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s unlimited, L1 <64us
    			ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset- SlotPowerLimit 25.000W
    		DevCtl:	Report errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
    			RlxdOrd+ ExtTag+ PhantFunc- AuxPwr- NoSnoop-
    			MaxPayload 256 bytes, MaxReadReq 4096 bytes
    		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    		LnkCap:	Port #16, Speed 8GT/s, Width x16, ASPM not supported, Exit Latency L0s <512ns, L1 <4us
    			ClockPM+ Surprise- LLActRep- BwNot- ASPMOptComp+
    		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- CommClk-
    			ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
    		LnkSta:	Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
    		DevCap2: Completion Timeout: Range AB, TimeoutDis+, LTR-, OBFF Not Supported
    		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR-, OBFF Disabled
    		LnkCtl2: Target Link Speed: 8GT/s, EnterCompliance- SpeedDis-
    			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    			 Compliance De-emphasis: -6dB
    		LnkSta2: Current De-emphasis Level: -6dB, EqualizationComplete+, EqualizationPhase1+
    			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
    	Capabilities: [100 v1] Virtual Channel
    		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
    		Arb:	Fixed- WRR32- WRR64- WRR128-
    		Ctrl:	ArbSelect=Fixed
    		Status:	InProgress-
    		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
    			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
    			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=01
    			Status:	NegoPending- InProgress-
    	Capabilities: [128 v1] Power Budgeting <?>
    	Capabilities: [420 v2] Advanced Error Reporting
    		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    		AERCap:	First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
    	Capabilities: [600 v1] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
    	Capabilities: [900 v1] #19
    	Kernel driver in use: nvidia
    	Kernel modules: nvidia
    
    
    txt file icon lspci.txt (5,552 bytes) 2017-03-14 11:36 +
  • txt file icon nvidia-smi.txt (5,865 bytes) 2017-03-14 11:36 -
    root@azurenc6:~#  nvidia-smi -i 0 -q
    Driver Version                      : 375.39
    
    Attached GPUs                       : 1
    GPU A56D:00:00.0
        Product Name                    : Tesla K80
        Product Brand                   : Tesla
        Display Mode                    : Disabled
        Display Active                  : Disabled
        Persistence Mode                : Disabled
        Accounting Mode                 : Disabled
        Accounting Mode Buffer Size     : 1920
        Driver Model
            Current                     : N/A
            Pending                     : N/A
        Serial Number                   : 0324015004611
        GPU UUID                        : GPU-bec68943-5e55-a52f-5927-7e5414da6450
        Minor Number                    : 0
        VBIOS Version                   : 80.21.1B.00.14
        MultiGPU Board                  : No
        Board ID                        : 0xa56d0000
        GPU Part Number                 : 900-22080-0300-000
        Inforom Version
            Image Version               : 2080.0200.00.04
            OEM Object                  : 1.1
            ECC Object                  : 3.0
            Power Management Object     : N/A
        GPU Operation Mode
            Current                     : N/A
            Pending                     : N/A
        GPU Virtualization Mode
            Virtualization mode         : Pass-Through
        PCI
            Bus                         : 0x00
            Device                      : 0x00
            Domain                      : 0xA56D
            Device Id                   : 0x102D10DE
            Bus Id                      : A56D:00:00.0
            Sub System Id               : 0x106C10DE
            GPU Link Info
                PCIe Generation
                    Max                 : 3
                    Current             : 3
                Link Width
                    Max                 : 16x
                    Current             : 16x
            Bridge Chip
                Type                    : N/A
                Firmware                : N/A
            Replays since reset         : 0
            Tx Throughput               : N/A
            Rx Throughput               : N/A
        Fan Speed                       : N/A
        Performance State               : P0
        Clocks Throttle Reasons
            Idle                        : Not Active
            Applications Clocks Setting : Active
            SW Power Cap                : Not Active
            HW Slowdown                 : Not Active
            Sync Boost                  : Not Active
            Unknown                     : Not Active
        FB Memory Usage
            Total                       : 11439 MiB
            Used                        : 0 MiB
            Free                        : 11439 MiB
        BAR1 Memory Usage
            Total                       : 16384 MiB
            Used                        : 2 MiB
            Free                        : 16382 MiB
        Compute Mode                    : Default
        Utilization
            Gpu                         : 100 %
            Memory                      : 5 %
            Encoder                     : 0 %
            Decoder                     : 0 %
        Ecc Mode
            Current                     : Enabled
            Pending                     : Enabled
        ECC Errors
            Volatile
                Single Bit            
                    Device Memory       : 0
                    Register File       : 0
                    L1 Cache            : 0
                    L2 Cache            : 0
                    Texture Memory      : 0
                    Texture Shared      : N/A
                    Total               : 0
                Double Bit            
                    Device Memory       : 0
                    Register File       : 0
                    L1 Cache            : 0
                    L2 Cache            : 0
                    Texture Memory      : 0
                    Texture Shared      : N/A
                    Total               : 0
            Aggregate
                Single Bit            
                    Device Memory       : 0
                    Register File       : 0
                    L1 Cache            : 0
                    L2 Cache            : 0
                    Texture Memory      : 0
                    Texture Shared      : N/A
                    Total               : 0
                Double Bit            
                    Device Memory       : 0
                    Register File       : 0
                    L1 Cache            : 0
                    L2 Cache            : 0
                    Texture Memory      : 0
                    Texture Shared      : N/A
                    Total               : 0
        Retired Pages
            Single Bit ECC              : 0
            Double Bit ECC              : 0
            Pending                     : No
        Temperature
            GPU Current Temp            : 38 C
            GPU Shutdown Temp           : 93 C
            GPU Slowdown Temp           : 88 C
        Power Readings
            Power Management            : Supported
            Power Draw                  : 76.55 W
            Power Limit                 : 149.00 W
            Default Power Limit         : 149.00 W
            Enforced Power Limit        : 149.00 W
            Min Power Limit             : 100.00 W
            Max Power Limit             : 175.00 W
        Clocks
            Graphics                    : 692 MHz
            SM                          : 692 MHz
            Memory                      : 2505 MHz
            Video                       : 540 MHz
        Applications Clocks
            Graphics                    : 562 MHz
            Memory                      : 2505 MHz
        Default Applications Clocks
            Graphics                    : 562 MHz
            Memory                      : 2505 MHz
        Max Clocks
            Graphics                    : 875 MHz
            SM                          : 875 MHz
            Memory                      : 2505 MHz
            Video                       : 540 MHz
        Clock Policy
            Auto Boost                  : On
            Auto Boost Default          : On
        Processes                       : None
    
    
    txt file icon nvidia-smi.txt (5,865 bytes) 2017-03-14 11:36 +
  • txt file icon hashcat_crack.txt (2,704 bytes) 2017-03-14 11:36 -
    root@azurenc6:~# hashcat -a 0 -m 5600 ntlmv2.hash dict.txt
    hashcat (v3.30) starting...
    
    * Device #1: Old CUDA compute capability 3.7 detected, OpenCL performance is reduced.
                 For ideal hashcat performance on NVIDIA GPU you need CUDA compute capability 5.0 or higher (Maxwell)
    OpenCL Platform #1: NVIDIA Corporation
    ======================================
    * Device #1: Tesla K80, 2047/11439 MB allocatable, 13MCU
    
    Hashes: 1 digests; 1 unique digests, 1 unique salts
    Bitmaps: 16 bits, 65536 entries, 0x0000ffff mask, 262144 bytes, 5/13 rotates
    Rules: 1
    
    Applicable Optimizers:
    * Zero-Byte
    * Not-Iterated
    * Single-Hash
    * Single-Salt
    
    Watchdog: Hardware Monitoring Interface not found on your system
    Watchdog: Temperature abort trigger disabled
    Watchdog: Temperature retain trigger disabled
    
    * Device #1: build_opts '-I /usr/share/hashcat/OpenCL -D VENDOR_ID=32 -D CUDA_ARCH=307 -D VECT_SIZE=1 -D DEVICE_TYPE=4 -D DGST_R0=0 -D DGST_R1=3 -D DGST_R2=2 -D DGST_R3=1 -D DGST_ELEM=4 -D KERN_TYPE=5600 -D _unroll -cl-std=CL1.2'
    * Device #1: Kernel m05600_a0.dace4084.kernel not found in cache! Building may take a while...
    
    
    Generated dictionary stats for dict.txt: 92 bytes, 13 words, 13 keyspace
    
    - Device #1: autotuned kernel-accel to 512
    - Device #1: autotuned kernel-loops to 1
    [s]tatus [p]ause [r]esume [b]ypass [c]heckpoint [q]uit => The wordlist or mask you are using is too small.
    Therefore, hashcat is unable to utilize the full parallelization power of your device(s).
    The cracking speed will drop.
    Workaround: https://hashcat.net/wiki/doku.php?id=frequently_asked_questions#how_to_create_more_work_for_full_speed
    
    INFO: approaching final keyspace, workload adjusted
    
    ADMIN::N46iSNekpT:08ca45b7d7ea58ee:88dcbe4446168966a153a0064958dac6:5c7830315c7830310000000000000b45c67103d07d7b95acd12ffa11230e0000000052920b85f78d013c31cdb3b92f5d765c783030:hashcat
    
    Session..........: hashcat
    Status...........: Cracked
    Hash.Type........: NetNTLMv2
    Hash.Target......: ADMIN::N46iSNekpT:08ca45b7d7ea58ee:88dcbe4446168966a153a0064958dac6:5c7830315c7830310000000000000b45c67103d07d7b95acd12ffa11230e0000000052920b85f78d013c31cdb3b92f5d765c783030
    Time.Started.....: Tue Mar 14 07:23:58 2017 (0 secs)
    Time.Estimated...: Tue Mar 14 07:23:58 2017 (0 secs)
    Input.Base.......: File (dict.txt)
    Input.Queue......: 1/1 (100.00%)
    Speed.Dev.#1.....:        0 H/s (0.11ms)
    Recovered........: 1/1 (100.00%) Digests, 1/1 (100.00%) Salts
    Progress.........: 13/13 (100.00%)
    Rejected.........: 0/13 (0.00%)
    Restore.Point....: 0/13 (0.00%)
    Candidates.#1....: master -> hashcat
    HWMon.Dev.#1.....: N/A
    
    Started: Tue Mar 14 07:23:46 2017
    Stopped: Tue Mar 14 07:23:59 2017
    
    txt file icon hashcat_crack.txt (2,704 bytes) 2017-03-14 11:36 +

-Relationships
+Relationships

-Notes

~0006489

rhertzog (administrator)

Please prepare this update in kali-experimental first.

~0006496

sbrun (manager)

update is in kali-experimental: version 4.9.13-1kali3

~0006497

r0kh (reporter)

Just tested this on an Azure NC6 (Tesla K80) instance, and it's working so far. I've attached detailed logs to this issue.


-------------------------
root@kali:~# uname -a
Linux kali 4.9.0-kali3-amd64 0000001 SMP Debian 4.9.13-1kali3 (2017-03-13) x86_64 GNU/Linux

root@kali:~# hashcat -I
OpenCL Info:

Platform ID 0000001
  Vendor : NVIDIA Corporation
  Name : NVIDIA CUDA
  Version : OpenCL 1.2 CUDA 8.0.0

  Device ID 0000001
    Type : GPU
    Vendor ID : 32
    Vendor : NVIDIA Corporation
    Name : Tesla K80
    Version : OpenCL 1.2 CUDA
    Processor(s) : 13
    Clock : 823
    Memory : 2047/11439 MB allocatable
    OpenCL Version : OpenCL C 1.2
    Driver Version : 375.39

~0006529

rhertzog (administrator)

4.9.13-1kali3 is in kali-rolling.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-10 20:36 rhertzog New Issue
2017-03-10 20:36 rhertzog Status new => assigned
2017-03-10 20:36 rhertzog Assigned To => sbrun
2017-03-10 20:39 rhertzog Note Added: 0006489
2017-03-14 09:23 sbrun Note Added: 0006496
2017-03-14 11:35 r0kh File Added: summary.txt
2017-03-14 11:36 r0kh File Added: dmesg.txt
2017-03-14 11:36 r0kh File Added: clinfo.txt
2017-03-14 11:36 r0kh File Added: lspci.txt
2017-03-14 11:36 r0kh File Added: nvidia-smi.txt
2017-03-14 11:36 r0kh File Added: hashcat_crack.txt
2017-03-14 11:41 r0kh Note Added: 0006497
2017-03-24 08:45 rhertzog Status assigned => resolved
2017-03-24 08:45 rhertzog Resolution open => fixed
2017-03-24 08:45 rhertzog Fixed in Version => 2017.1
2017-03-24 08:45 rhertzog Note Added: 0006529
+Issue History